Groovy 1.7.0

## org.codehaus.groovy.classgen
Class Verifier

    java.lang.Object
      org.codehaus.groovy.classgen.Verifier

All Implemented Interfaces:
  GroovyClassVisitor

    class Verifier
    extends Object

Verifies the AST node and adds any defaulted AST code before bytecode generation occurs.

author:
  James Strachan

version:
  $Revision: 18248 $

Nested Class Summary
`interface` | `Verifier.DefaultArgsAction`

Field Summary
`static String` | `__TIMESTAMP`
`static String` | `__TIMESTAMP__`

Constructor Summary
`Verifier()`

Method Summary
`protected void` | `addClosureCode(InnerClassNode node)`
`protected void` | `addCovariantMethods(ClassNode classNode)`
`protected void` | `addDefaultParameterConstructors(ClassNode node)`
`protected void` | `addDefaultParameterMethods(ClassNode node)` Creates a new helper method for each combination of default parameter expressions
`protected void` | `addDefaultParameters(List methods, DefaultArgsAction action)` Creates a new helper method for each combination of default parameter expressions
`protected void` | `addFieldInitialization(List list, List staticList, FieldNode fieldNode, boolean isEnumClassNode, List initStmtsAfterEnumValuesInit, Set explicitStaticPropsInEnum)`
`protected void` | `addInitialization(ClassNode node)`
`protected void` | `addInitialization(ClassNode node, ConstructorNode constructorNode)`
`protected void` | `addPropertyMethod(MethodNode method)`
`protected void` | `addReturnIfNeeded(MethodNode node)`
`protected void` | `addTimeStamp(ClassNode node)`
`static String` | `capitalize(String name)` Capitalizes the start of the given bean property name
`protected Statement` | `createGetterBlock(PropertyNode propertyNode, FieldNode field)`
`protected Statement` | `createSetterBlock(PropertyNode propertyNode, FieldNode field)`
`ClassNode` | `getClassNode()`
`MethodNode` | `getMethodNode()`
`static long` | `getTimestamp(Class clazz)`
`void` | `visitClass(ClassNode node)` add code to implement GroovyObject
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitGenericType(GenericsType genericsType)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### __TIMESTAMP

    static final String __TIMESTAMP

### __TIMESTAMP__

    static final String __TIMESTAMP__

Constructor Detail

### Verifier

    Verifier()

Method Detail

### addClosureCode

    protected void addClosureCode(InnerClassNode node)

### addCovariantMethods

    protected void addCovariantMethods(ClassNode classNode)

### addDefaultParameterConstructors

    protected void addDefaultParameterConstructors(ClassNode node)

### addDefaultParameterMethods

    protected void addDefaultParameterMethods(ClassNode node)

  Creates a new helper method for each combination of default parameter expressions

### addDefaultParameters

    protected void addDefaultParameters(List methods, DefaultArgsAction action)

  Creates a new helper method for each combination of default parameter expressions

### addFieldInitialization

    protected void addFieldInitialization(List list, List staticList, FieldNode fieldNode, boolean isEnumClassNode, List initStmtsAfterEnumValuesInit, Set explicitStaticPropsInEnum)

### addInitialization

    protected void addInitialization(ClassNode node)

### addInitialization

    protected void addInitialization(ClassNode node, ConstructorNode constructorNode)

### addPropertyMethod

    protected void addPropertyMethod(MethodNode method)

### addReturnIfNeeded

    protected void addReturnIfNeeded(MethodNode node)

### addTimeStamp

    protected void addTimeStamp(ClassNode node)

### capitalize

    public static String capitalize(String name)

  Capitalizes the start of the given bean property name

### createGetterBlock

    protected Statement createGetterBlock(PropertyNode propertyNode, FieldNode field)

### createSetterBlock

    protected Statement createSetterBlock(PropertyNode propertyNode, FieldNode field)

### getClassNode

    public ClassNode getClassNode()

### getMethodNode

    public MethodNode getMethodNode()

### getTimestamp

    public static long getTimestamp(Class clazz)

### visitClass

    public void visitClass(ClassNode node)

  add code to implement GroovyObject
  param:
    node

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitGenericType

    public void visitGenericType(GenericsType genericsType)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

Copyright © 2003-2009 The Codehaus. All rights reserved.